#
# spec file for package pilot-link
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pilot-link
BuildRequires:  bluez-devel
BuildRequires:  gcc-c++
BuildRequires:  libpng-devel
BuildRequires:  libtool
BuildRequires:  libusb-devel
BuildRequires:  pkg-config
BuildRequires:  popt-devel
BuildRequires:  python-devel
BuildRequires:  readline-devel
BuildRequires:  pkgconfig(udev)
Url:            http://www.pilot-link.org/
Version:        0.12.5
Release:        lp152.3.7
Obsoletes:      plink < %{version}
Provides:       plink = %{version}
Summary:        Pilot-Link Based Synchronization Development Header Files
License:        GPL-2.0 and GPL-2.0+ and LGPL-2.1+
Group:          Hardware/Palm
Source:         http://downloads.pilot-link.org/%{name}-%{version}.tar.bz2
Source1:        10-usb-raw-pda.fdi
Patch0:         %{name}-gcc.patch
Patch1:         %{name}-0.12.1-appointment_buf.diff
Patch2:         %{name}-0.12.1-strncat.diff
Patch4:         %{name}-0.12.3-man.patch
Patch5:         %{name}-0.12.3-free.patch
Patch6:         %{name}-0.12.3-fclose.patch
Patch7:         %{name}-0.12.3-usb-fixes.patch
# PATCH-FIX-UPSTREAM pilot-link-0.12.3-fclose_after_read.patch
Patch8:         %{name}-0.12.3-fclose_after_read.patch
Patch9:         perl-PDA-Pilot-0.12.1-pilotxs.diff
Patch10:        pilot-link-0.12.5-libpng-include.patch
# PATCH-FIX-UPSTREAM pilot-link-0.12.5-perl514.patch idoenmez@suse.de -- Fix compilation with Perl 5.14
Patch11:        pilot-link-0.12.5-perl514.patch
Patch12:        pilot-link-0.12.5-udev-rules.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
pilot-link is a suite of tools used to connect your Palm or PalmOS compatible
handheld with Unix, Linux, and any other POSIX-compatible machine. pilot-link
works with all PalmOS handhelds, including those made by Handspring, Sony,
and Palm, as well as others.

pilot-link includes userspace "conduits" that allow you to synchronize
information to and from your Palm device, as well as libraries of
Palm-compatible functions that allow other applications to take advantage of
the code included in pilot-link.

There are also several language "bindings" that allow you to use your favorite
development language with pilot-link, such as Java, Tcl, Perl, and Python.

Authors:
--------
    Kenneth Albanowski <kjahds@kjahds.com>

%package -n libpisock9
Summary:        Pilot-Link Library for Palm devices
Group:          Hardware/Palm

%description -n libpisock9
Pilot-Link Library for Palm Devices.

If you want to develop Palm synchronization applications, you will need
to install libpisock-devel.

Authors:
--------
    Kenneth Albanowski <kjahds@kjahds.com>

%package -n libpisock-devel
Requires:       libpisock9 = %{version}
Provides:       pilot-link-devel = %{version}
Obsoletes:      pilot-link-devel < %{version}
Summary:        PalmPilot Development Header Files
Group:          Hardware/Palm

%description -n libpisock-devel
This package contains the development headers of libpisock.

Authors:
--------
    Kenneth Albanowski <kjahds@kjahds.com>

%package -n libpisync1
Summary:        Pilot-Link based Synchronization Library for Palm devices
Group:          Hardware/Palm

%description -n libpisync1
Pilot-Link Library for Palm Devices.

If you want to develop Palm synchronization applications, you will need
to install libpisock-devel.

Authors:
--------
    Kenneth Albanowski <kjahds@kjahds.com>

%package -n libpisync-devel
Requires:       libpisync1 = %{version}
Summary:        Pilot-Link based Synchronization Library for Palm devices
Group:          Hardware/Palm

%description -n libpisync-devel
Pilot-Link Library for Palm Devices.

If you want to develop Palm synchronization applications, you will need
to install libpisock-devel.

Authors:
--------
    Kenneth Albanowski <kjahds@kjahds.com>

%package -n python-pisock
Requires:       python
Summary:        Pilot-Link Library for Palm devices - Python bindings
Group:          Development/Libraries/Python

%description -n python-pisock
Pilot-Link Library for Palm Devices.

This package contains the python bindings of libpisock.

Authors:
--------
    Kenneth Albanowski <kjahds@kjahds.com>

%package -n perl-PDA-Pilot
Requires:       perl = %{perl_version}
Summary:        Pilot-Link Library for Palm devices - Perl bindings
Group:          Development/Libraries/Perl

%description -n perl-PDA-Pilot
This package contains Perl modules for communicating with the Palm
Pilot.


%prep
%setup -q
%patch0
%patch1
%patch2
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
# Force updating bindings/Perl/Pilot.c
rm -f bindings/Perl/Pilot.c

%build
#%{?suse_update_config:%{suse_update_config -f scripts}}
autoreconf -sfi
sed -i 1i\ '#include <sys/socket.h>' libpisock/linuxusb.c 
%configure --enable-threads --enable-conduits --enable-libusb --with-png=/usr --with-bluez --with-libiconv=/usr
make
#
#python subpackage
cd bindings/Python
python setup.py build
#
#perl subpackage
cd ../Perl
perl Makefile.PL

%install
make DESTDIR=$RPM_BUILD_ROOT install
#chmod a+x $RPM_BUILD_ROOT/%{_libdir}/libpisock.so*
# drop udev rule somewhere else...
mkdir -p %{buildroot}%{_udevrulesdir}
sed -i 's/modem/uucp/g' $RPM_BUILD_ROOT/usr/share/pilot-link/udev/60-libpisock.rules
cp $RPM_BUILD_ROOT/usr/share/pilot-link/udev/60-libpisock.rules  %{buildroot}%{_udevrulesdir}
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
echo -e '# use USB by default\nexport PILOTPORT="usb:"' > $RPM_BUILD_ROOT/etc/profile.d/pilot-link.sh
rm $RPM_BUILD_ROOT/%{_libdir}/*.a
rm $RPM_BUILD_ROOT/%{_libdir}/*.la
mkdir -p  $RPM_BUILD_ROOT/usr/share/pilot-link/hal
cp %{S:1} $RPM_BUILD_ROOT/usr/share/pilot-link/hal
#
#python subpackage
cd bindings/Python
mkdir -p "$RPM_BUILD_ROOT"
python setup.py install --prefix=%{_prefix} --optimize=2 --record-rpm=INSTALLED_FILES \
      --root="$RPM_BUILD_ROOT"
#
#perl subpackage
cd ../Perl
make DESTDIR=$RPM_BUILD_ROOT install_vendor INSTALLDIRS=vendor
%perl_process_packlist

%post -n libpisock9 
/sbin/ldconfig
%{?udev_rules_update}

%post -n libpisync1 -p /sbin/ldconfig

%postun -n libpisock9 -p /sbin/ldconfig

%postun -n libpisync1 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README doc/README.* doc/TODO doc/Coding*
%{_bindir}/*
%{_mandir}/man[17]/*
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/pix/
%dir %{_datadir}/%{name}/prc/
%dir %{_datadir}/%{name}/udev/
%dir %{_datadir}/%{name}/hal/
%{_datadir}/%{name}/pix/*
%{_datadir}/%{name}/prc/*
%{_datadir}/%{name}/udev/*
%{_datadir}/%{name}/hal/*

%files -n libpisock9
%defattr(-,root,root)
%{_libdir}/libpisock*.so.9*
%{_udevrulesdir}/*.rules
%attr(0644,root,root) /etc/profile.d/*

%files -n libpisock-devel
%defattr(-,root,root)
%{_libdir}/libpisock*.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/pilot-link.m4
%{_includedir}/*
%exclude %{_includedir}/pi-sync.h

%files -n libpisync1
%defattr(-,root,root)
%{_libdir}/libpisync*.so.1*

%files -n libpisync-devel
%defattr(-,root,root)
%{_libdir}/libpisync*.so
%{_includedir}/pi-sync.h

%files -n python-pisock -f bindings/Python/INSTALLED_FILES
%defattr(-,root,root)
%doc bindings/Python/TODO bindings/Python/README

%files -n perl-PDA-Pilot
%defattr(-,root,root)
%doc bindings/Perl/README bindings/Perl/test.pl
%doc %{_mandir}/man3/PDA::Pilot*
%if %suse_version < 1140
/var/adm/perl-modules/%{name}
%endif
%{perl_vendorarch}/PDA
%dir %{perl_vendorarch}/auto/PDA
%{perl_vendorarch}/auto/PDA/Pilot

%changelog
* Sun Jun 21 2015 anixx@opensuse.org
- add missing include to fix build with gcc5
* Sun Apr 12 2015 crrodriguez@opensuse.org
- Move udev rules to udevrulesdir, /etc/udev is reserved
  for sysadmin use.
* Thu Apr 18 2013 cfarrell@suse.com
- license update: GPL-2.0 and GPL-2.0+ and LGPL-2.1+
  There are GPL-2.0 (only) licenses in the packages. Assuming aggregation
  as Fedora also use an aggregation license. Please double check.
* Tue Apr 16 2013 mhrusecky@suse.com
- patch to fix udev rules by Jean Delvare
  pilot-link-0.12.5-udev-rules.patch
* Fri Mar  1 2013 coolo@suse.com
- update license to new format
* Sun Nov 20 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Mon May 23 2011 idonmez@novell.com
- Add pilot-link-0.12.5-perl514.patch: replace SvPV(SV*, na) with
  SvPV_nolen(SV*) and sv_{yes,no} with PL_sv_{yes_no} to fix
  compilation with Perl 5.14
* Sat Jan 15 2011 coolo@novell.com
- fix build for 11.4
* Tue May 18 2010 mhrusecky@suse.cz
- getting rid of hard HAL dependency
* Fri Apr  9 2010 mhrusecky@suse.cz
- updated to 0.12.5
  * new Calendar code for jPilot
- updated to 0.12.4
  * official changes description - too many to mention
* Thu Apr  8 2010 pgajdos@suse.cz
- fixed build with libpng14
* Fri Oct 16 2009 rschweikert@novell.com
- close file after reading or on error
  (bnc#544582 - pilot-link-0.12.3-fclose_after_read.patch)
* Tue Sep  1 2009 mhrusecky@suse.cz
- fixed crash when opening of USB fails
* Thu Aug 27 2009 mhrusecky@suse.cz
- installing udev rules again
* Wed Aug 12 2009 mhrusecky@suse.cz
- adding missing fclose [bnc#529518]
- better description
* Fri Jun 26 2009 mhrusecky@suse.cz
- merged together with perl bindings
* Wed Mar 11 2009 nadvornik@suse.cz
- fixed an attempt to free a non-heap object [bnc#471446]
* Mon Sep 15 2008 dmueller@suse.de
- adjust buildrequires
* Wed Sep 10 2008 nadvornik@suse.cz
- updated to 0.12.3:
  * bugfix release
  * libpisync0 renamed to libpisync0
- added python-pisock subpackage
* Tue Dec  4 2007 nadvornik@suse.cz
- added argument mode to 'open' call
* Tue Sep  4 2007 dgollub@suse.de
- Readded HAL FDI files to identify palm devices and set
  pda.platform to "palm". This is needed for hal-resmgr to give
  the destkop user access to the USB Raw device. Applications
  which use the libusb transport of libpisock need this.
* Mon Aug  6 2007 coolo@suse.de
- Adding versions to obsoletes
* Thu Aug  2 2007 sbrabec@suse.cz
- Remove broken IT_PROG_INTLTOOL m4 definition.
* Fri Jul 27 2007 coolo@suse.de
- fix m4 file
* Mon Jul 23 2007 dgollub@suse.de
- splitted pilot-link packages into:
  o pilot-link
  o libpisock9
  o libpisock-devel
  o libpisync0
  o libpisync-devel
- added bluez-libs to BuildRequires for HotSync via Bluetooth
- removed libtool helper files
- removed hal fdi file for platform.pda (upstream)
- updated to version 0.12.2
  o libpisock/dlp.c: Integrated Scott Gruby's big record fix: reading
    records that have the maximum allowed size could lock up some
    devices. We now read maxRecordSize-100 and perform a second read
    if the record is large. Also some casts to make compilers happy,
    and a safeguard when reading username / password to properly
    terminate the strings.
  o libpisock/usb.c: More sanity to catch both Sony models, including
    the NRxx series handhelds
  o libpisock/usb.c: Minor fix for Sony Clie detection
  o src/pilot-650foto.c: Extract treo 650 photos
  o libpisock/usb.c: Fix a bug where we were looking at
    override_device instead of known_device[i]. Removed
    override_device, given that nothing sets it, anywhere.
* Wed May 23 2007 wstephenson@suse.de
- Add libusb-devel to pilot-link-devel's Requires:
* Wed May 16 2007 olh@suse.de
- Buildrequires libusb -> libusb-devel
  Remove duplicate --enable-libusb
  Remove unneded Requires libusb
* Wed Jan 10 2007 prusnak@suse.cz
- fixed uninitialized variable (appointment_buf.diff) [#230786]
- fixed strncat overflow (strncat.diff)
* Mon Nov 13 2006 dgollub@suse.de
- removed resmgr patch [#218662]
* Mon Nov  6 2006 postadal@suse.cz
- fixed gcc issues (gcc.patch) [#213270, #141152]
* Thu Sep 21 2006 dgollub@suse.de
- fixed problem with missing flags of known_devices
  in USB_check_device()
* Tue Sep  5 2006 dgollub@suse.de
- update to version 0.12.1
  o code cleanup in libpisock libpisync src ...
- removed udev rule (hal-resmgr is used instead)
* Fri Sep  1 2006 dgollub@suse.de
- update to version 0.12.0
  o libusb support
  o added extendend support of contact for newer palm devices
  o added support for:
  - extended contact data format
  - veo traveler data format
  - VersaMail data format
  o most userland binaries got renamend
- added fdi file to mark palm devices as pda.platform
- added patch for LiveDrive devices (Palm T|X and others..)
* Mon May 29 2006 lmichnovic@suse.cz
- fixed write beyond array range (array_overflow.diff) [#177546]
- appended uninitialized.diff
- added Requires: libstdc++-devel for devel package
* Sun May  7 2006 jpr@suse.de
- Fix pilot-link-0.11.8-serial.diff to not think it lost the packet
  when the poll was successful, result < 0 vs result <= 0)
  (part of #165455)
* Tue Apr 25 2006 dgollub@suse.de
- reenabled patch for pilot-link.m4.in
- fixed systemwide warning about underquoted definition
  of AC_PILOT_LINK_HOOK
* Wed Mar 29 2006 dgollub@suse.de
- fixed buffer overflow in realpath calling for version 0.11.8 [#153944]
* Wed Mar 29 2006 dgollub@suse.de
- downgrade to pilot-link version 0.11.8
  0.12.0-prev4 is not supposed to be packaged [#161722]
- added pkgconfig files: pilot-link.pc pilot-link-pp.pc
* Mon Mar 27 2006 postadal@suse.cz
- fixed uninitialized variable (uninitialized2.patch) [#160933]
  * fixed serial support on 64 bit archs
* Tue Feb 28 2006 postadal@suse.cz
- fixed buffer overflow in realpath calling (realpath.patch) [#153944]
* Mon Feb 20 2006 postadal@suse.cz
- fixed uninitialized variable (uninitialized.diff) [#152042]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan  9 2006 postadal@suse.cz
- added libpng to neededforbuild
- fixed uninitialized variable (uninitialized.diff) [#141152]
* Wed Oct  5 2005 mmj@suse.de
- fix printf call
- don't paper over aliasing bugs by just making the warning, go
  away wrongly.  Especially not, when it's already compiled with
  - fno-strict-aliasing
* Wed Sep 28 2005 wstephenson@suse.de
- backport extern "C" fixes from CVS so C++ use of the library works
* Tue Sep 20 2005 postadal@suse.cz
- fixed uninitialized variables (uninitialized.diff)
* Mon Aug 29 2005 postadal@suse.cz
- fixed resmgr.diff patch
- added patch from upstream to fix serial support (serial.diff)
* Sat Aug  6 2005 ro@suse.de
- fix pkgconfig dir
* Fri Aug  5 2005 lmichnovic@suse.cz
- update to version 0.12.0-pre4
- fixed gcc warnings
* Tue Mar 30 2004 postadal@suse.cz
- fixed underquoted definition of AC_PILOT_LINK_HOOK [#37487]
* Tue Mar 23 2004 postadal@suse.cz
- fixed warnings in compilation
- added requires for devel package
* Fri Mar 19 2004 adrian@suse.de
- add resmgr support
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Tue Jul 29 2003 postadal@suse.cz
- updated to version 0.11.8
  * you no longer have to hit HotSync on the Palm first, before launching your
    desktop conduits. You can hit HotSync first, or launch your desktop
    conduit/tools first, and it will still make an attempt to connect.
    This also works with gnome-pilot and J-Pilot as well.
  * pilot-foto conduit to fetch/convert photos taken with a Palm Zire71
    camera device
* Wed May 14 2003 mmj@suse.de
- Package pilot-link.m4 to -devel
* Fri Jan 17 2003 postadal@suse.cz
- updated to version 0.11.7
  * new manpages
  * deprecated pilot-mail, in favor of pilot-mailsync.
* Fri Oct 25 2002 uli@suse.de
- update -> 0.11.5
* Tue Jun 18 2002 meissner@suse.de
- run auto* tools, fixed configure.in (now uses C++ unconditionally)
* Wed May 15 2002 hhetter@suse.de
- updated to version 0.9.5
- adapted timesync feature
* Tue Apr 23 2002 rommel@suse.de
- consistent use of _libdir
* Mon Jun 18 2001 schwab@suse.de
- Fix friend declarations.
* Wed Apr 11 2001 pblaha@suse.cz
- add timesync feature from http://www.klawitter.de/palm/
* Tue Mar 13 2001 ro@suse.de
- fixed buildrooting
* Mon Nov 27 2000 grimmer@suse.de
- renamed from "plink" to "pilot-link"
- moved perl modules (and required patches) into separate
  package perl-PDA-Pilot
- split into "pilot-link" and "pilot-link-devel"
- moved files from /usr/lib/pix to /usr/lib/pilot-link
- added BuildRoot and Group Tag
* Thu Sep 21 2000 ro@suse.de
- fixed for perl-5.6
- bzipped source
* Sat Apr  8 2000 bk@suse.de
- added suse update config macro
* Thu Mar  2 2000 uli@suse.de
- moved man pages to %%{_mandir}
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu May 27 1999 uli@suse.de
- update 0.9.1 -> 0.9.3
* Thu May 27 1999 uli@suse.de
- added libpicc.a
* Wed Feb 17 1999 stefan@suse.de
- New package
